# Jabysoft-base
[ ![Codeship Status for Jabysoft/jabysoft-base](https://codeship.com/projects/e6e2f750-4dc3-0134-2149-266445f4b7e3/status?branch=master)](https://codeship.com/projects/170622)
[![Codacy Badge](https://api.codacy.com/project/badge/Grade/9d41f1dbe5934ae0826fbb7ecf3a548b)](https://www.codacy.com/app/CQ-JABYSOFT/jabysoft-base?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=Jabysoft/jabysoft-base&amp;utm_campaign=Badge_Grade)
[![Codacy Badge](https://api.codacy.com/project/badge/Coverage/9d41f1dbe5934ae0826fbb7ecf3a548b)](https://www.codacy.com/app/CQ-JABYSOFT/jabysoft-base?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=Jabysoft/jabysoft-base&amp;utm_campaign=Badge_Coverage)
[![Gem Version](https://badge.fury.io/rb/jabysoft-base.svg)](https://badge.fury.io/rb/jabysoft-base)

Set of utilities to build rails applications with style.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'jabysoft-base'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install jabysoft-base

## Usage

Execute jabysoft:setup to initialize your Rails project.

    $ rails generate jabysoft:setup


After that, your Rails scaffold generator should have been overriden by Jabysoft generator.

## Configuration

We started some improvemnts to allow your rails app to configure our gem by using a initializer to set options.

### Allowed options
	* skip_authorize - The gem uses Cancancan to authorize action buttons. This option enables Cancancan to authorize.[default: true]

```ruby
Jabysoft.configure do |config|
	config.skip_authorize = false
end
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/jabysoft-base. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.
