# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'jabysoft/base/version'

Gem::Specification.new do |spec|
  spec.name          = 'jabysoft-base'
  spec.version       = Jabysoft::Base::VERSION
  spec.licenses      = ['MIT']
  spec.authors       = ["Emerson S. Xavier"]
  spec.email         = ["msxavii@gmail.com"]
  spec.summary       = %q{Jabysoft Rails-based}
  spec.description   = %q{Simple Jabysoft Rails-based code and scaffold generators.}
  spec.homepage      = "https://github.com/Jabysoft/jabysoft-base"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency 'simplecov', '~> 0.12.0'
  spec.add_dependency 'rails', '~> 5.0'
  spec.add_dependency 'haml-rails', '~> 0.9'
  spec.add_dependency 'rspec-rails', '~> 3.5'
  spec.add_dependency 'factory_girl_rails', '~> 4.7'
  spec.add_dependency 'rake', '~> 11.0'
  spec.add_dependency 'pry-byebug', '~> 3.4'
  spec.add_dependency 'devise', '~> 4.2'
  spec.add_runtime_dependency 'codacy-coverage', '~> 1.1'
end
